Skip to main content
GET
/
api
/
product-epc
/
{product_epc_hash}
Get Product by EPC Hash
curl --request GET \
  --url https://app.buylo.ai/api/product-epc/{product_epc_hash} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.buylo.ai/api/product-epc/{product_epc_hash}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.buylo.ai/api/product-epc/{product_epc_hash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "product_id": "ABC123",
    "name": {
      "en": "Brazil Santos Coffee",
      "cs": "Brazilská káva Santos"
    },
    "category": "Coffee",
    "description": {
      "en": "Roasted Arabica coffee beans from Brazil",
      "cs": "Pražená arabica z Brazílie"
    },
    "ean": "8591234567890",
    "brand": "CoffeeCo",
    "prices": [
      {
        "currency": "EUR",
        "price": 199.99
      },
      {
        "currency": "CZK",
        "price": 4999
      }
    ],
    "vat_rate": 21,
    "unit": "kg",
    "product_data": {
      "color": "red",
      "size": "L"
    }
  }
}
{
"message": "<string>"
}
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

product_epc_hash
string
required

Response

OK

data
object
required